# placeMarkers (Маркери місць) #

* Автори: Noelia, Chris.
* завантажити [стабільну версію][1] (сумісну з NVDA 2022.1 і новішими)
* завантажити [версію в розробці][2] (сумісну з NVDA 2022.1 і новішими)

Цей додаток призначений для збереження й пошуку певних текстових рядків або
закладок. Може використовуватися на веб-сторінках або документах у режимі
огляду. Також може використовуватися для збереження або пошуку рядків тексту
в багаторядкових елементах керування; в цьому випадку, якщо немає можливості
оновити каретку, відповідний рядок буде скопійовано в буфер обміну, щоб його
можна було шукати за допомогою інших інструментів.  Плагін зберігає вказані
рядки і закладки у файлах, ім'я яких базується на назві та URL поточного
документа.  Цей додаток базується на додатках SpecificSearch та
Bookmark&Search, розроблених тим же автором. Для використання цього додатка
їх варто видалити, оскільки вони мають спільні комбінації клавіш і функції.

## Комбінації клавіш: ##

*	control+shift+NVDA+f: Відкриває діалог із полем редагування, в якому
  відображається останній збережений пошук; в цьому діалозі ви також можете
  вибрати раніше збережені пошуки з комбінованого списку або видалити
  вибраний рядок з історії за допомогою прапорця. Ви можете вибрати, чи буде
  текст, що міститься у вікні редагування, додано до історії ваших
  збережених текстів. Нарешті, виберіть дію з наступної групи перемикачів
  (між «Шукати далі», «Шукати попереднє» або «Не шукати») і вкажіть, чи буде
  NVDA здійснювати пошук з урахуванням регістру. Коли ви натиснете кнопку
  «Гаразд», NVDA здійснить пошук цього рядка.
*	control+shift+NVDA+k: Зберігає поточну позицію як закладку. Якщо ви хочете
  надати ім'я цій закладці, виділіть текст з цієї позиції перед збереженням.
*	control+shift+NVDA+delete: видаляє закладку, яка відповідає цій позиції.
*	NVDA+k: переходить до наступної закладки.
*	shift+NVDA+k: Перехід до попередньої закладки.
*	Не призначено: показує ім'я файлу, в якому будуть збережені дані про
  маркери місць в режимі огляду, без розширення.
*	alt+NVDA+k: Відкриває діалог із закладками, збереженими для цього
  документа. Ви можете написати примітку для кожної закладки; натисніть
  Зберегти примітку, щоб зберегти зміни. Натиснувши кнопку Видалити, ви
  можете видалити вибрану закладку. Натиснувши «Гаразд», ви можете
  переміститися на вибрану позицію.
*	Не призначено: зберігає поточну позицію як тимчасову закладку.
*	Не призначено: переходить до тимчасової закладки в поточному документі.
*	Не призначено: знаходить наступний фрагмент останнього шуканого тексту в
  будь-якому конкретному документі.
*	Не призначено: знаходить попередній фрагмент останнього шуканого тексту в
  будь-якому конкретному документі.


## Підменю маркерів місць (NVDA+N) ##

За допомогою підменю Place markers в меню параметрів NVDA можна отримати
доступ:

*	Папка конкретного пошуку: відкриває папку раніше збережених конкретних
  пошуків.
*	Папка закладок: відкриває папку зі збереженими закладками.
*	Скопіювати папку PlaceMarkers: Ви можете зберегти копію папки закладок.
*	Відновлення placeMarkers: Ви можете відновити закладки з раніше збереженої
  папки placeMarkers.

Примітка: Позиція закладки залежить від кількості символів, тому на
динамічних сторінках краще користуватися конкретним пошуком, а не
закладками.

## Зміни у версії 23.0
* Додаток знову працює з Microsoft Word.

## Зміни у версії 22.0
* Завдяки Абделю ми можемо переходити до закладок та видаляти їх з
  увімкненим UIA.

## Зміни у версії 21.0
* Завдяки Абделю можна зберігати закладки з увімкненою функцією UIA у
  браузерах на базі Chromium.

## Зміни у версії 20.0
* Потребує NVDA 2022.1 чи пізнішу.

## Зміни у версії 19.0 ##
* Додаток неможливо запустити на захищених екранах.

## Зміни у версії 18.0 ##
* Команда подивитися шлях для placeMarkers показує, чи є постійні закладки,
  текст для конкретного пошуку або тимчасова закладка для поточного
  документа.

## Зміни у версії 17.0 ##
* Виправлено помилку, яка не дозволяла зберігати маркери місць в деяких
  документах.
* Виправлено перекладені рядки, завдяки чому переклади працюють коректно.

## Зміни у версії 16.0 ##
* Сумісність з NVDA 2021.1 Або пізніша (необхідно).
* Підтримується неперервне читання при переході на тимчасові закладки.
* За потреби ви можете завантажити [інші
  версії](https://github.com/nvdaes/placeMarkers/releases).

## Зміни у версії 15.0 ##
* При читанні в режимі «Читати все» в режимі огляду, конкретні команди
  «Знайти далі» та «Знайти попереднє» більше не зупиняють читання, якщо
  увімкнено параметр «Дозволити неперервне читання», відповідно до команд
  «Знайти далі» і «Знайти попереднє» з NVDA 2020.4.
* При відкритті Конкретного пошуку після виконання команди конкретного
  пошуку «Знайти попереднє» буде вибрано параметр «Знайти попереднє».

## Зміни у версії 14.0 ##
*	Команду копіювання імені файлу, в якому будуть збережені дані про маркери
  місць, замінено на команду, яка показує це ім’я файлу в режимі
  огляду. Призначеного жесту немає..
*	Поле «Текст для пошуку» більше не перекриває поле «Збережений
  текст». (Подяка Cyrille Bougot).
*	Вимагає NVDA 2019.3 або новішу.

## Зміни у версії 13.0 ##
*	Додано непризначені жести для знаходження наступного й попереднього
  фрагменту останнього шуканого тексту для будь-якого конкретного документа.
*	Функція конкретного пошуку працює, коли відкрито діалог Про NVDA.
*	У діалозі «Конкретний пошук» буде позначено прапорець «Враховувати
  регістр», якщо ця опція була обрана для останнього пошуку.
*	При оновленні додатка закладки і рядки для конкретного пошуку, збережені в
  попередній версії додатка, буде автоматично скопійовано в нову версію,
  якщо тільки ви не віддасте перевагу імпорту маркерів місць, збережених в
  основній конфігураційній папці NVDA.
*	При використанні діалогу копіювання маркерів місць, якщо обрана папка не
  має імені placeMarkersBackup, буде створено підпапку з цим ім'ям, щоб
  запобігти видаленню каталогів, що містять важливі дані, такі як Документи
  або Завантаження.

## Зміни у версії 12.0 ##
*	Виправлено критичну помилку, яка призводила до аварійного завершення
  роботи NVDA при спробі відкрити діалог приміток, якщо перед збереженням
  закладок було виділено китайські ієрогліфи.

## Зміни у версії 11.0 ##
*	Сумісність з NVDA 2018.3 та новіші (необхідно).
*	За потреби ви можете завантажити [останню версію, сумісну з NVDA
  2017.3][3].

## Зміни у версії 10.0 ##
*	В Edge жести, пов'язані з вибором закладок, такі як NVDA+k, NVDA+shift+k
  або NVDA+alt+k, будуть відправлятися в додаток замість того, щоб
  намагатися перемістити курсор на закладки, щоб уникнути помилок, особливо
  в довгих документах.
*	Тепер конкретний пошук підтримується й у Edge.

## Зміни у версії 9.0
*	При переході на закладку з діалогу примітки переглядовий курсор слідує за
  системним курсором.
*	Команда вибору попередньої закладки знову працює коректно.
*	Закладки можна видалити з діалогу приміток.
*	Тепер для кожного документа можна призначити жести для збереження та
  переміщення до тимчасової закладки.

## Зміни у версії 8.0 ##
*	Видалено ідентифікатори фрагментів з імен файлів закладок, що дозволяє
  уникнути проблем у програмі VitalSource Bookshelf ePUB reader.
*	Додано діалог приміток, щоб поєднати коментарі зі збереженими закладками й
  переходом до виділеної позиції.

## Зміни у версії 7.0 ##
*	Вилучено діалог збереження рядка тексту для конкретного пошуку. Цю функцію
  тепер включена в діалог «Конкретний пошук», який було перероблено таким
  чином, щоб забезпечити різні дії при натисканні кнопки «Гаразд».
*	Візуальне подання діалогів було покращено з дотриманням зовнішнього
  вигляду діалогів, показаних в NVDA.
*	Виконання команди «Знайти далі» або «Знайти попереднє» в режимі огляду
  тепер коректно виконуватиме пошук з урахуванням регістру, якщо початкова
  команда «Знайти» була з урахуванням регістру.
*	Потребує версію NVDA 2016.4 або новішу.
*	Тепер ви можете призначити жести для відкриття діалогів Копіювання й
  Відновлення маркерів місць.
*	NVDA надасть повідомлення, щоб сповістити, коли маркери місць були
  скопійовані або відновлені з відповідними діалогами.

## Зміни у версії 6.0 ##
* Коли функції додатка не використовуються, жести надсилаються до
  відповідного застосунку.

## Зміни у версії 5.0 ##
* Додано пошук, чутливий до регістру літер.
* Вилучено параметр відкриття документації з меню Place markers.
* Інтуїтивно зрозуміліші комбінації клавіш.

## Зміни у версії 4.0 ##
* Видалено ідентифікатори фрагментів з імен файлів закладок, що дозволяє
  уникнути проблем у роботі додатка ePUBREADER у Firefox.
* Довідка додатка доступна з менеджера додатків.

## Зміни у версії 3.1 ##
* Оновлено переклади й додано нові мови.
* Позиція закладки при неперервному читанні не оголошується.

## Зміни у версії 3.0 ##
* Додано підтримку неперервного читання.

## Зміни у версії 2.0 ##
* Додано параметри для збереження й видалення різних варіантів пошуку для
  кожного файлу.
* Виправлено помилку, яка виникала, коли шляхи містили нелатинські символи.
* Тепер комбінації можна перепризначити за допомогою діалогу жестів вводу
  NVDA.

## Зміни у версії 1.0 ##
* Перша версія.
* Перекладено  на: бразильську португальську, фарсі, фінську, французьку,
  галісійську, німецьку, італійську, японську, корейську, непальську,
  португальську, іспанську, словацьку, словенську, тамільську.

[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=pm

[2]: https://addons.nvda-project.org/files/get.php?file=pm-dev

[3]: https://addons.nvda-project.org/files/get.php?file=pm-o
